Crystal Space: csOrthoTransform Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csOrthoTransform Class Reference
[Geometry utilities]

A class which defines a reversible transformation from one coordinate system to another by maintaining an inverse transformation matrix. More...

`#include <csgeom/transfrm.h>`

Inheritance diagram for csOrthoTransform:

[legend]
List of all members.

## Public Member Functions
| csOrthoTransform (const csTransform &t)
| Initialize with the given transformation.
| csOrthoTransform (const csMatrix3 &o2t, const csVector3 &pos)
| Initialize with the given transformation.
| csOrthoTransform ()
| Initialize with the identity transformation.
virtual void | SetO2T (const csMatrix3 &m)
| Set 'other' to 'this' transformation matrix.
virtual void | SetT2O (const csMatrix3 &m)
| Set 'this' to 'other' transformation matrix.

## Detailed Description

A class which defines a reversible transformation from one coordinate system to another by maintaining an inverse transformation matrix.

This is a variant which only works on orthonormal transformations (like the camera transformation) and is consequently much more optimal.

Definition at line 632 of file transfrm.h.

## Constructor & Destructor Documentation

csOrthoTransform::csOrthoTransform | ( |  | ) | `[inline]`

Initialize with the identity transformation.

Definition at line 638 of file transfrm.h.

csOrthoTransform::csOrthoTransform | ( | const csMatrix3 & | o2t,
|  | const csVector3 & | pos |
| ) |  |  | `[inline]`

Initialize with the given transformation.

Definition at line 643 of file transfrm.h.

csOrthoTransform::csOrthoTransform | ( | const csTransform & | t | ) | `[inline]`

Initialize with the given transformation.

Definition at line 649 of file transfrm.h.

## Member Function Documentation

virtual void csOrthoTransform::SetO2T | ( | const csMatrix3 & | m | ) | `[inline, virtual]`

Set 'other' to 'this' transformation matrix.

This is the 3x3 matrix M from the transform equation T=M*(O-V).

Reimplemented from csReversibleTransform.

Definition at line 658 of file transfrm.h.

References csMatrix3::GetTranspose(), csTransform::m_o2t, and csReversibleTransform::m_t2o.

virtual void csOrthoTransform::SetT2O | ( | const csMatrix3 & | m | ) | `[inline, virtual]`

Set 'this' to 'other' transformation matrix.

This is equivalent to SetO2T() except that you can now give the inverse matrix.

Reimplemented from csReversibleTransform.

Definition at line 666 of file transfrm.h.

References csMatrix3::GetTranspose(), csTransform::m_o2t, and csReversibleTransform::m_t2o.

The documentation for this class was generated from the following file:

- csgeom/transfrm.h